=== debian/changelog ===
pd-zexy (2.2.3-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Team upload.

  [ IOhannes m zmölnig ]
  * Force extension "pd_linux" (even on hurd and kfreebsd).
  * Remove flags for compiling with sse-support.
  * Set DEB_AUTO_UPDATE_AUTOCONF to ensure configure is regenerated.
  * Update build-dependencies.

  [ Jonas Smedegaard ]
  * Add git-buildpackage configfile, enabling signed tags and
    pristine-tar.
  * Add DEP3 header to patch.
  * Refresh patch w/ shortening options --no-timestamps --no-index -pab.
  * Preserve upstream configure file regenerated during build.
  * Adjust vertical spacing and wrapping of long description.

 -- Felipe Sateler <fsateler@debian.org>  Mon, 08 Nov 2010 20:58:14 -0300

pd-zexy (2.2.3-1) unstable; urgency=low

  * New upstream version

  [ IOhannes m zmölnig ]
  * Adopt package, on behalf of Multimedia Team.
    Closes: #546964
  * Simply debian/rules with CDBS, and don't unconditionally strip
    binaries.
    Closes: #437763
  * Install into /usr/lib/pd/extra/zexy/. Document usage in REAME.Debian
    and warn about change in NEWS.
  * git'ify package. Add Vcs-* stanzas to control file.
  * Use dpkg source format 3.0 (quilt). Drop build-dependency on quilt.

  [ Jonas Smedegaard ]
  * Enable CDBS copyright-check routine.
  * Add copyright and licensing header to debian/rules.
  * Add myself as uploader.
  * Rewrite debian/copyright using rev. 135 of draft DEP5 format.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Aug 2010 12:17:41 +0200

pd-zexy (2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: add simple-patchsys support
  * debian/patches/bashisms.patch: fix bashisms (Closes: #378526)

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 15 Jan 2008 16:01:02 +0100

pd-zexy (2.1-1) unstable; urgency=low

  * Initial release

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 16 Aug 2005 14:56:33 +0200
