=== debian/control ===
Source: pd-zexy
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.53),
 debhelper (>= 7.0.1),
 autoconf,
 puredata
Standards-Version: 3.9.1
Homepage: http://puredata.info/community/projects/software/zexy
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-zexy.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-zexy.git;a=summary

Package: pd-zexy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, puredata
Description: General Purpose addon library for Pd
 zexy is "the swiss army knife for Pure Data".
 .
 It provides several addon objects for the Pd computer music system,
 including (but not limited to) objects for message handling
 (construction, parsing, control flow), signal handling (synthesis,
 analysis, comparision) et al.
