## pd-zexy 2.2.5

=== debian/changelog ===
pd-zexy (2.2.5-2) unstable; urgency=medium

  * Use autoreconf to fix FTBFS on ppc64el (Closes: #735985)
    Thanks to Logan Rosen
  * Fixed my Uploaders name after gpg-key transition
  * Updated upstream's homepage
  * debian/copyright format 1.0
  * Bumped standards version to 3.9.5

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Wed, 29 Jan 2014 15:24:49 +0100

pd-zexy (2.2.5-1) unstable; urgency=low

  * New upstream (Closes: #643454)

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * Bumped standards to 3.9.2
  * Build-Depend on puredata-dev rather than puredata, since only headers are
    needed
  * Build-Depend on puredata-core in order to run test-suite
  * Build-Depend on autotools-dev for up-to-date config.*
  * Added watch file.
  * Deleted "remove-sse.patch" as it is no longer needed with new upstream.
  * Removed hacks to revert original configure (no longer needed)
  * Use CDBS's "pd.mk"
  * Run test-suite during build
  * Prevent .la files from being installed
  * Depend on "puredata-core" with fallback to meta-package "pd"

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Tue, 08 Nov 2011 16:57:18 +0100
