=== debian/control ===
Source: pd-zexy
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.91~),
 autotools-dev,
 debhelper,
 dh-buildinfo,
 dh-autoreconf,
 puredata-dev | puredata (<< 0.43),
 puredata-core | puredata (<< 0.43)
Standards-Version: 3.9.5
Homepage: http://puredata.info/downloads/zexy
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-zexy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-zexy.git

Package: pd-zexy
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd
Description: General Purpose addon library for Pd
 zexy is "the swiss army knife for Pure Data".
 .
 It provides several addon objects for the Pd computer music system,
 including (but not limited to) objects for message handling
 (construction, parsing, control flow), signal handling (synthesis,
 analysis, comparision) et al.
