## pd-zexy 2.2.6

=== debian/changelog ===
pd-zexy (2.2.6-2) unstable; urgency=medium

  * Backported upstream fix for reproducible builds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Jan 2016 20:03:33 +0100

pd-zexy (2.2.6-1) unstable; urgency=medium

  * Imported Upstream version 2.2.6
    * Updated to new upstream location
  * Depend on 'puredata' rather than 'puredata-core'
  * Made build-date string reproducible
  * Canonical homepage for Pd-projects
  * Update Vcs-* stanzas
  * Fixed my uploader's name
  * Added debian/git-tuneclone.sh script (documented in README.source)
  * Updated debian/copyright
  * Regenerated debian/(control|copyright_hints)
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Jan 2016 22:54:10 +0100
