=== debian/control ===
Source: pd-zexy
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.91~),
 autotools-dev,
 debhelper,
 dh-buildinfo,
 dh-autoreconf,
 puredata-dev | puredata (<< 0.43),
 puredata-core | puredata (<< 0.43)
Standards-Version: 3.9.6
Homepage: http://download.puredata.info/zexy
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-zexy.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-zexy.git

Package: pd-zexy
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Description: General Purpose addon library for Pd
 zexy is "the swiss army knife for Pure Data".
 .
 It provides several addon objects for the Pd computer music system,
 including (but not limited to) objects for message handling
 (construction, parsing, control flow), signal handling (synthesis,
 analysis, comparision) et al.
