=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,8 @@
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 CDBS_BUILD_DEPENDS_rules_utils_buildinfo =
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux
+BUILD_DATE:=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"%Y/%m/%d at %H:%M:%S UTC")
+DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux --with-build-date="on $(BUILD_DATE)"
 
 binary-predeb/pd-zexy::
 	# remove libtools leftovers
