## pd-zexy 2.2.7

=== debian/changelog ===
pd-zexy (2.2.7-2) unstable; urgency=medium

  * Enabled hardening
  * Switched URLs to https://
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh script
    * Dropped d/README.source as it doesn't contain any useful information
  * Updated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:44:42 +0100

pd-zexy (2.2.7-1) unstable; urgency=medium

  * New upstream version 2.2.7
    Closes: #887934
    * Dropped patches aplied upstream
  * Patch to fix spelling errors
  * Fixed spelling error in long description
  * Switched homepage to https://
  * Modernized Vcs-* stanzas
  * Updated d/watch
  * Switched build-system to dh-11
    * Refreshed B-Ds for build-system switch
    * Dropped d/control.in
  * Use SOURCE_DATE_EPOCH to calculate build-date
  * Use https:// for d/copyright format URL
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 21 Jan 2018 23:29:12 +0100
