=== debian/control ===
Source: pd-zexy
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev | puredata (<< 0.43),
 puredata-core | puredata (<< 0.43),
Standards-Version: 4.1.3
Homepage: https://download.puredata.info/zexy
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-zexy

Package: pd-zexy
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: General Purpose addon library for Pd
 zexy is "the swiss army knife for Pure Data".
 .
 It provides several addon objects for the Pd computer music system,
 including (but not limited to) objects for message handling
 (construction, parsing, control flow), signal handling (synthesis,
 analysis, comparison) et al.
