=== debian/watch ===
# to be processed with uscan(1)
version=3
opts=filenamemangle=s/.*\/repository\/v?(\d\S*)\/archive\.tar\.gz/zexy-$1\.tar\.gz/g \
  https://git.iem.at/pd/zexy/tags .*/repository/v?(\d\S*)/archive\.tar\.gz
