## pd-zexy 2.2.8

=== debian/changelog ===
pd-zexy (2.2.8-1) unstable; urgency=medium

  * New upstream version 2.2.8
    * Removed patches applied upstream.
  * Updated d/copyright(|_hints)
  * Don't require "root" for building the package
  * Fixed d/watch
  * Removed empty line at EOF of d/changelog
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Oct 2018 23:01:09 +0200
