=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  debhelper (>=11~),
  puredata-dev | puredata (<< 0.43),
  puredata-core | puredata (<< 0.43),
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-zexy
