=== debian/watch ===
# to be processed with uscan(1)
version=3
  https://git.iem.at/pd/zexy/tags .*/-/archive/v?@ANY_VERSION@/zexy-.*@ARCHIVE_EXT@
