=== debian/changelog ===
pd-zexy (2.3.0-3) unstable; urgency=medium

  * Move detection of [lpt] support into d/rules
    * Remove cruft from autodetect-lpt.patch
  * Backport patch to fix 'clean' target to remove leftovers

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 10:14:27 +0100

pd-zexy (2.3.0-2) unstable; urgency=medium

  * Backport patch to fix FTBFS of [lpt] on arm64,...
  * Add autopkgtest

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 23 Feb 2020 22:28:28 +0100

pd-zexy (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Adjust to new upstream build-system
    * B-D on pd-lib-builder
  * Drop obsolete d/source/local-options
  * Add salsa-ci configuration
  * Bump dh-compat to 12
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Feb 2020 23:20:02 +0100
