=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
+ pd-lib-builder,
  puredata-dev | puredata (<< 0.43),
  puredata-core | puredata (<< 0.43),
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
