## pd-zexy 2.3.1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 make-lib-executable=yes
 with-regex=yes
+with-lpt=yes
 
 # input source file (class name == source file basename)
 class.sources = \
@@ -123,7 +124,8 @@
 	README.txt \
 	LICENSE.txt \
 	ChangeLog \
-	zexy-meta.pd
+	zexy-meta.pd \
+	$(empty)
 
 datafiles += \
 	$(wildcard abs/*.pd) \
@@ -142,11 +144,15 @@
 
 
 ifeq ($(make-lib-executable),yes)
- CPPFLAGS+=-DZEXY_LIBRARY
+ cflags += -DZEXY_LIBRARY
 endif
 
 ifeq ($(with-regex),yes)
- CPPFLAGS+=-DHAVE_REGEX_H
+ cflags += -DHAVE_REGEX_H
+endif
+
+ifneq ($(with-lpt),yes)
+ cflags += -DZ_WANT_LPT=0
 endif
 
 define forWindows
@@ -159,6 +165,16 @@
  endif
 endef
 
+define forLinux
+ # on linux we need <sys/io.h> for the [lpt] object, so check if it is there...
+ ifeq ($(with-lpt),yes)
+  ifeq ($(shell $(CPP) -x c -include "sys/io.h" /dev/null >/dev/null 2>&1 || echo no), no)
+    cflags += -DZ_WANT_LPT=0
+  endif
+ endif
+endef
+
+
 
 # include Makefile.pdlibbuilder from submodule directory 'pd-lib-builder'
 PDLIBBUILDER_DIR=pd-lib-builder/
@@ -174,15 +190,19 @@
 	l2i.pd l2i-help.pd \
 	l2s-help.pd s2l-help.pd l-help.pd \
 	$(empty)
+datafiles += $(zexyaliases)
 
 # create aliases
 $(zexyaliases):
 	test -e $< && $(COPY) $< $@
 
 # delete aliases
+.PHONY: clean_zexyalias
 clean_zexyalias:
 	-rm -f $(zexyaliases)
-
+clean: clean_zexyalias
+
+# alias dependencies
 any2list.pd: a2l.pd
 any2list-help.pd: a2l-help.pd
 l2i.pd: list2int.pd
@@ -204,5 +224,3 @@
 
 check: all
 	LIBDIR=$(CURDIR) find tests/*/ -type f -name "*.pd" -exec tests/testrunner.sh -v -Xls {} "+"
-
-datafiles += $(zexyaliases)
