=== debian/changelog ===
pd-zexy (2.3.1-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 2.3.1
    * Drop patches applied upstream
  * Fixed wildcards in d/copyright
  * Fix to no-longer valid email addresses
  * Bump dh-compat to 13

  [ Debian Janitor ]
  * d/copyright: use spaces rather than tabs to start continuation
    lines.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Jun 2020 14:54:03 +0200
