=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pd-lib-builder,
  puredata-dev | puredata (<< 0.43),
  puredata-core | puredata (<< 0.43),
