## pd-zexy 2.4.1

=== debian/changelog ===
pd-zexy (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update d/copyright
    - Bump dates
    - Add missing files
    - Regenerate d/copyright
  * Use execute_after_dh_* rather than override_dh_*
  * Apply "warp-and-sort -ast"
  * Bump d/watch version to 4
  * Bump standards version to 4.6.0

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 02 Feb 2022 22:02:22 +0200
