=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  debhelper-compat (= 13),
  pd-lib-builder,
+ puredata-core | puredata (<< 0.43),
  puredata-dev | puredata (<< 0.43),
- puredata-core | puredata (<< 0.43),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
@@ -19,9 +18,9 @@
 Package: pd-zexy
 Architecture: any
 Depends:
+ puredata | pd,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
 Description: General Purpose addon library for Pd
  zexy is "the swiss army knife for Pure Data".
  .
