=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 # fix permissions
 	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
 		chmod 0664 {} +
