=== debian/tests/control ===
Test-Command: LIBDIR=/usr/lib/pd/extra/zexy find tests/*/ -type f -name "*.pd" -exec tests/testrunner.sh -v -Xls {} "+"
Restrictions: allow-stderr
Depends:
 @,
