## pd-zexy 2.4.2

=== debian/changelog ===
pd-zexy (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * Update copyright information
    + Update dates in d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 16 Jul 2023 23:56:31 +0200

pd-zexy (2.4.1-5) unstable; urgency=medium

  * Re-build for both single and double-precision Pd
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 11:59:05 +0200

pd-zexy (2.4.1-4) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:54:46 +0100

pd-zexy (2.4.1-3) unstable; urgency=medium

  * Use 'dh-sequence-pd-lib-builder' for building
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 12:29:47 +0100

pd-zexy (2.4.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright
    - use spaces rather than tabs to start continuation lines.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 21:16:58 +0200
