=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pd-lib-builder,
+ dh-sequence-pd-lib-builder,
  puredata-core | puredata (<< 0.43),
- puredata-dev | puredata (<< 0.43),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
@@ -18,9 +17,13 @@
 Package: pd-zexy
 Architecture: any
 Depends:
- puredata | pd,
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: General Purpose addon library for Pd
  zexy is "the swiss army knife for Pure Data".
  .
