=== debian/changelog ===
pd-zexy (2.4.3-2) unstable; urgency=medium

  * Switch to dh-sequence-puredata
  * Add Provides:puredata
  * Update d/watch for latest GitLab API
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 20:45:42 +0200

pd-zexy (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Dec 2023 18:15:25 +0100
