=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-pd-lib-builder,
+ dh-sequence-puredata,
  puredata-core | puredata (<< 0.43),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
@@ -24,6 +24,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: General Purpose addon library for Pd
  zexy is "the swiss army knife for Pure Data".
  .
