## pd-zexy 2.4.4

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	src/0x3e0x7e.c \
 	src/0x7c0x7c0x7e.c \
 	src/a2l.c \
-	src/abs~.c \
 	src/absgn~.c \
 	src/atof.c \
 	src/atoi.c \
@@ -35,6 +34,7 @@
 	src/doublepole~.c \
 	src/drip.c \
 	src/envrms~.c \
+	src/envvar.c \
 	src/fifop.c \
 	src/freadln.c \
 	src/fwriteln.c \
@@ -133,7 +133,7 @@
 	$(empty)
 
 cflags =
-cflags += -DVERSION='"2.4.2"'
+cflags += -DVERSION='"2.4.4"'
 
 DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
 ifdef SOURCE_DATE_EPOCH
