=== debian/changelog ===
pd-zexy (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4

  * Update git repository layout to follow DEP-14
  * Fix typos in old entries of d/changelog
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete 'Rules-Requires-Root: no' stanza.
  * Apply 'wrap-and-sort -ast'
  * Update d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Feb 2026 10:08:51 +0100
