=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pd-zexy
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -8,8 +7,7 @@
  debhelper-compat (= 13),
  dh-sequence-puredata,
  puredata-core | puredata (<< 0.43),
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://download.puredata.info/zexy
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-zexy.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-zexy
